Subject: [MEXT] Revised I-D: Problems with the use of IPsec as the security protocol for Mobile IPv6

From: <[email-masked]>
Date: Mon, 13 Jul 2009 21:20:30 +0200

FYI,

A new version of I-D, draft-patil-mext-mip6issueswithipsec-01.txt has been
successfuly submitted by Basavaraj Patil and posted to the IETF repository.

Filename:        draft-patil-mext-mip6issueswithipsec
Revision:        01
Title:           Problems with the use of IPsec as the security protocol for
Mobile IPv6
Creation_date:   2009-07-13
WG ID:           Independent Submission
Number_of_pages: 15

Abstract:
Mobile IPv6 as specified in RFC3775 relies on IPsec for security.  An
IPsec SA between the mobile node and the home agent provides security
for the mobility signaling.  Use of IPsec for securing the data
traffic between the mobile node and home agent is optional.  This
document analyses the implications of the design decision to mandate
IPsec as the default security protocol for Mobile IPv6 and
consequently Dual-stack Mobile IPv6 and recommends revisiting this
decision in view of the experience gained from implementation and
adoption in other standards bodies.